import turtle
import random

# Ustawienia okna turtle
window = turtle.Screen()
window.title("Zgadnij figurę")
window.bgcolor("white")

# Funkcje rysujące figury geometryczne
def rysuj_kwadrat():
    for _ in range(4):
        turtle.forward(100)
        turtle.left(90)

def rysuj_prostokat():
    for _ in range(2):
        turtle.forward(150)
        turtle.left(90)
        turtle.forward(100)
        turtle.left(90)

def rysuj_kolo():
    turtle.circle(50)

def rysuj_trojkat():
    for _ in range(3):
        turtle.forward(100)
        turtle.left(120)

def rysuj_pieciokat():
    for _ in range(5):
        turtle.forward(100)
        turtle.left(72)

# Lista figur geometrycznych i ich funkcji rysowania
figury = {
    'kwadrat': rysuj_kwadrat,
    'prostokąt': rysuj_prostokat,
    'koło': rysuj_kolo,
    'trójkąt': rysuj_trojkat,
    'pięciokąt': rysuj_pieciokat
}

# Kopia listy figur do losowania
figury_dostepne = list(figury.keys())

# Zmienna do przechowywania punktów gracza
punkty = 0

# Zmienna do przechowywania liczby poprawnych odpowiedzi
poprawne_odpowiedzi = 0

# Zmienna do przechowywania liczby zgadnięć
liczba_zgadnietych = 0

print("Witaj w grze! Twoim zadaniem jest wpisanie nazwy figury, którą widzisz.")
print("Za poprawną odpowiedź dostajesz punkt, za niepoprawną tracisz punkt.")
print("Gra kończy się, gdy zdobędziesz 5 punktów.")

# Główna pętla gry
while punkty < 5:
    # Sprawdzenie, czy są jeszcze dostępne figury do rysowania
    if not figury_dostepne:
        print("Wszystkie figury zostały już narysowane! Zresetuj grę, aby zagrać ponownie.")
        break

    turtle.clear()  # Wyczyść ekran przed narysowaniem nowej figury
    turtle.penup()
    turtle.goto(0, 0)
    turtle.pendown()

    # Losowanie figury z dostępnych, które nie były rysowane
    figura_losowa = random.choice(figury_dostepne)
    
    # Rysowanie figury
    figury[figura_losowa]()

    # Użytkownik wpisuje odpowiedź
    odpowiedz = window.textinput("Zgadnij figurę", "Co to za figura?").strip().lower()

    # Sprawdzenie odpowiedzi
    if odpowiedz == figura_losowa:
        punkty += 1
        poprawne_odpowiedzi += 1
        liczba_zgadnietych += 1
        print(f"Poprawna odpowiedź! Masz teraz {punkty} punkt(ów).")
    else:
        punkty -= 1
        liczba_zgadnietych += 1
        print(f"Zła odpowiedź. Masz teraz {punkty} punkt(ów).")

    # Usunięcie narysowanej figury z listy dostępnych
    figury_dostepne.remove(figura_losowa)

    # Jeśli gracz osiągnie 5 punktów, gra się kończy
    if punkty >= 5:
        print("\nGratulacje! Wygrałeś grę!")
        break

# Podsumowanie wyników
print(f"\nKoniec gry! Oto twoje wyniki:")
print(f"Zgadłeś poprawnie {poprawne_odpowiedzi} razy z 5 możliwych.")
print(f"Łącznie próbowałeś zgadnąć {liczba_zgadnietych} razy.")

# Zakończenie gry i zamknięcie okna turtle
turtle.bye()
        
